Skip to main content
GET
/
polymarket
/
asset-history
/
candlestick
Get OHLC candles for a crypto asset
curl --request GET \
  --url https://api.struct.to/v1/polymarket/asset-history/candlestick
[
  {
    "t": 1,
    "l": 123,
    "h": 123,
    "o": 123,
    "c": 123
  }
]

Query Parameters

asset_symbol
enum<string>
required

Asset ticker: BTC, ETH, XRP, SOL, DOGE, BNB, HYPE

Available options:
BTC,
ETH,
XRP,
SOL,
DOGE,
BNB,
HYPE
resolution
enum<string>
required

Candle interval (TradingView naming): 1S (1 second), 1, 5, 15, 30, 60, 240, D, 1D

Available options:
1S,
1,
5,
15,
30,
60,
240,
D,
1D
count_back
integer<int32>

Number of candles (max: 2500)

from
integer<int64>

Start timestamp (Unix seconds)

to
integer<int64>

End timestamp (Unix seconds)

pagination_key
string

Cursor-based pagination key from previous response

Response

200 - application/json

OHLC candlestick data

t
integer<int64>
required
Required range: x >= 0
l
number<double> | null
h
number<double> | null
o
number<double> | null
c
number<double> | null
Last modified on June 8, 2026